歡迎光臨, 訪客. 請先 登入註冊一個帳號.
七月 12, 2020, 10:49:53 上午
19594 文章 在 3864 主題 由 4580 會員
最新註冊會員: aa123aa1
LifeType 中文開發論壇  |  支援  |  安裝與設定  |  如何從1.06升級到1.2.4版 « 上篇主題 下篇主題 »
頁: [1]
作者 主題: 如何從1.06升級到1.2.4版  (閱讀 9429 次)
gcboytw
新手見習
*
文章: 48


檢視個人資料
« 於: 八月 25, 2007, 06:32:12 上午 »

太久沒有升級我的LT了
發現他已經出道1.2.X的版本了
所以想要著手來升級

看完前人的文章
建議都是從1.06升級到1.1.x在升級到1.2.x
所以我是不是可以從1.06升到1.1.6再升到1.2.4??

還是大大們有其他比較好的升級方式?
已記錄

我的server資訊如下,主機是國外的
網頁目錄     /home/gcboy/public_html     
安裝目錄   /home/gcboy/public_html/blog
Apache 版本    1.3.34 (Unix)    
MySQL 版本    4.1.19-standard
PHP 版本    4.4.1
bibicall
版主
超級會員
*****
文章: 640


我是豬老大


檢視個人資料 個人網站
« 回覆文章 #1 於: 八月 25, 2007, 03:37:49 下午 »

所以我是不是可以從1.06升到1.1.6再升到1.2.4??

是的,1.0.x→1.1.x資料庫的table有變動
所以你必須先升級到1.1.x,1.1.6是1.1.x系列的最後一個維護版本
接著再從1.1.X生即到最新版本

升級前請先記得備份
已記錄

我的虛擬主機基本資料如下
Operating system: Linux
Apache version: 1.3.37
PHP version: 4.4.4
MySQL version: 4.1.21-standard
lizzie
新手見習
*
文章: 24


檢視個人資料
« 回覆文章 #2 於: 九月 13, 2007, 06:51:47 下午 »

我從1.1.1 升級到1.1.6 都OK, 但升級到1.2時會出現一大堆錯誤, 如下:
(我的環境 windows 2003+IIS)
請問先進們這是怎麼回事?

Exception message: unlink(./tmp/summary\%%FD^FD8^FD8C114A%%index.template.inc): No such file or directory
Error code: 2
-- Backtrace --
C:\Inetpub\wwwroot\b1\class\template\smarty\internals\core.write_file.php(44): unlink
C:\Inetpub\wwwroot\b1\class\template\smarty\internals\core.write_compiled_include.php(86): smarty_core_write_file
C:\Inetpub\wwwroot\b1\class\template\smarty\Smarty.class.php(1428): smarty_core_write_compiled_include
C:\Inetpub\wwwroot\b1\class\template\smarty\Smarty.class.php(1263): cachedtemplate._compile_resource
C:\Inetpub\wwwroot\b1\class\template\cachedtemplate.class.php(48): smarty.fetch
C:\Inetpub\wwwroot\b1\class\summary\view\summarycachedview.class.php(104): cachedtemplate.fetch
C:\Inetpub\wwwroot\b1\class\summary\view\summarycachedview.class.php(153): summarycachedview.senduncachedoutput
C:\Inetpub\wwwroot\b1\class\controller\controller.class.php(379): summarycachedview.render
C:\Inetpub\wwwroot\b1\summary.php(40): summarycontroller.process
« 最後編輯時間: 九月 13, 2007, 07:41:59 下午 由 lizzie » 已記錄
hlps9999
版主
資深會員
*****
文章: 288



檢視個人資料 個人網站
« 回覆文章 #3 於: 九月 15, 2007, 12:25:44 上午 »

我從1.1.1 升級到1.1.6 都OK, 但升級到1.2時會出現一大堆錯誤

你的1.2是哪一版呢?是最新的1.2.4嗎?

你的情形跟「升級 LifeType 1.2 版」很像。
已記錄
頁: [1]
LifeType 中文開發論壇  |  支援  |  安裝與設定  |  如何從1.06升級到1.2.4版 « 上篇主題 下篇主題 »
    前往: